Subject: Re: GIT - releases workflow

From: Andreas Ericsson <[email-masked]>
Date: Wed, 13 Dec 2006 14:13:47 +0100

Sean Kelley wrote:
> Hi,
> 
> On 12/13/06, Sean Kelley <[email-masked]> wrote:
>> Hi,
>>
>> On 12/13/06, Matthias Kestenholz <[email-masked]> wrote:
>> >
>> How do I push that tag that I created to the maint/v0.1 branch on the
>> remote repository?
> 
> Never mind, I answered my own question.  Sorry for asking without
> doing my research first.
> 
>   git push --tags origin
> 

Sort of, but not quite. This will push *all* your tags to wherever 
origin points to. If you, like me, use un-annotated tags to remember a 
particular snapshot you will then push a number of tags named "foo", 
"fnurg", "sdf" and "werwer" to the mothership repo.

	git push origin v0.1

works marvellously though.

Btw, this behaviour of mine, coupled with the company policy of only 
allowing annotated tags signed by the project maintainer as 
release-tags, lead to the creation of the update-hook I believe is still 
shipped as the default update-hook template with the git repo. It 
disallows un-annotated tags completely and should be used on the 
mothership repo.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se